Skip to main content
GET
/
v2
/
citations
cURL
curl --request GET \
  --url https://api.example.com/v2/citations/ \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "id": 123,
      "issuing_authority": "<string>",
      "violation_number": "<string>",
      "ticket_type": "<string>",
      "received_date": "2023-12-25",
      "ticket_date": "2023-12-25",
      "ticket_time": "<string>",
      "vehicle": {
        "id": 123,
        "custom_fields": "<string>",
        "added_date": "2023-11-07T05:31:56Z",
        "fleet": {
          "id": 123,
          "region_details": [
            {
              "id": 123,
              "title": "<string>"
            }
          ],
          "title": "<string>",
          "is_active": true,
          "billing_type": "PREPAID",
          "onboarding_stage": "INITIAL",
          "warning_threshold_per_vehicle": "<string>",
          "deactivation_threshold_per_vehicle": "<string>",
          "client": "<string>",
          "onboarding_vehicle_order": 123
        },
        "plate_number": "<string>",
        "plate_state": "<string>",
        "vehicle_number": "<string>",
        "active": true,
        "vehicle_make": "<string>",
        "vehicle_model": "<string>",
        "year": "<string>",
        "lessee_renter": "<string>",
        "vehicle_type_code": "<string>"
      },
      "description": "<string>",
      "fine_amount": "<string>",
      "billing_status_fk": {
        "id": 123,
        "value": "<string>",
        "display_text": "<string>",
        "ticket_type": "<string>",
        "fleet": 123,
        "is_system": "<string>"
      },
      "pdf": "<string>",
      "total": "<string>",
      "driver": {
        "id": 123,
        "first_name": "<string>",
        "address_line_1": "<string>",
        "city": "<string>",
        "state": "<string>",
        "zip": "<string>",
        "email": [
          "jsmith@example.com"
        ],
        "driver_id": "<string>",
        "last_name": "<string>",
        "address_line_2": "<string>",
        "contact_number": "<string>"
      },
      "notice_number": "<string>",
      "issue_date": "2023-12-25",
      "penalty_amount": "<string>",
      "service_fee": "<string>",
      "billing_status": "NO_ACTION",
      "pin": "<string>"
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}

Ticket Type Field

The ticket_type field represents the category of traffic violation:
IDDisplay NameDescription
1Bus CameraBus lane violations captured by camera
2ParkingParking violations and tickets
3Red Light CameraRed light violations captured by camera
4Speed CameraSpeed violations captured by camera
5OtherOther types of traffic violations
6IdlingVehicle idling violations

Filtering by Ticket Type

Use the numeric ID when filtering:
GET /v2/citations?ticket_type=2  # Filter for Parking violations
GET /v2/citations?ticket_type=1  # Filter for Bus Camera violations
When filtering, use the numeric ID (1-6). The API response returns the display name (e.g., “Parking”, “Bus Camera”).

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

billing_status
enum<string>[]

Multiple values may be separated by commas.

Available options:
CARD_NOT_ON_FILE,
COD_SERVICE,
CREDIT_CARD_DECLINED,
DISPUTED_TOLL_OR_TICKET,
EMPLOYEE_USE_OR_FLEET_LIABLE,
EXPIRED_CREDIT_CARD,
INVOICED_NOT_PAID,
NO_ACTION,
PAID_SUCCESSFULLY,
USER_NOT_FOUND,
VALIDATION_ISSUES
billing_status_fk
integer
description__icontains
string
driver
integer
fine_amount
number
fine_amount__gt
number
fine_amount__gte
number
fine_amount__lt
number
fine_amount__lte
number
id
integer
issue_date
string<date>
issue_date__gte
string<date>
issue_date__lte
string<date>
issue_date__year__gt
number
issue_date__year__lt
number
issuing_authority
string[]

Multiple values may be separated by commas.

limit
integer

Number of results to return per page.

notice_number__icontains
string
offset
integer

The initial index from which to return the results.

ordering
string

Which field to use when ordering the results.

penalty_amount
number
penalty_amount__gt
number
penalty_amount__gte
number
penalty_amount__lt
number
penalty_amount__lte
number
received_date
string<date>
received_date__gte
string<date>
received_date__lte
string<date>
received_date__year__gt
number
received_date__year__lt
number
ticket_date
string<date>
ticket_date__gte
string<date>
ticket_date__lte
string<date>
ticket_date__year__gt
number
ticket_date__year__lt
number
ticket_time
string<time>
ticket_time__gt
string<time>
ticket_time__gte
string<time>
ticket_time__lt
string<time>
ticket_time__lte
string<time>
ticket_type
enum<integer>[]
  • Bus Camera - Bus Camera
  • Idling - Idling
  • Parking - Parking
  • Red Light Camera - Red Light Camera
  • Speed Camera - Speed Camera
  • Other - Other
Available options:
Bus Camera,
Idling,
Other,
Parking,
Red Light Camera,
Speed Camera
total_max
number
total_min
number
vehicle
integer[]
violation_number__icontains
string

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"